GET/Proposals/{proposalId}
Returns one proposal or change order with its terms, internal notes, adjustments, line item groups and
line items, each with calculated financials and its budget assignments. The id comes from
Proposals_GetProposals. Requires event admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|
| proposalId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| type | string| null | |
| parentProposalId | uuid| null | |
| status | string| null | |
| isPriceLocked | boolean | |
| acceptedDate | date-time| null | |
| client | GetProposalResponseClientInfo | |
| terms | string| null | |
| internalNotes | string| null | |
| financials | ProposalFinancials | |
| cash | ProposalCash | |
| adjustments | GetProposalResponseAdjustment[]| null | |
| groups | GetProposalResponseGroup[]| null | |
| lineItems | GetProposalResponseLineItem[]| null | |
GetProposalResponseClientInfo
| Field | Type | Description |
|---|
| collaboratorRecordId | uuid| null | |
ProposalFinancials
| Field | Type | Description |
|---|
| baseCost | number | |
| totalCost | number | |
| baseCharge | number | |
| totalCharge | number | |
| margin | number | |
| marginPercent | number| null | |
| spendCeiling | number| null | |
| actualCost | number| null | |
| actualMargin | number| null | |
| isOverBudget | boolean| null | |
| effects | ProposalFinancialsColumnEffect[]| null | |
ProposalCash
| Field | Type | Description |
|---|
| billed | number | |
| received | number | |
| outstanding | number | |
| overBilled | number | |
| overCollected | number | |
| isInvoiced | boolean | |
| isPartiallyPaid | boolean | |
GetProposalResponseAdjustment
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| appliesTo | string| null | |
| method | string| null | |
| defaultValue | number | |
| index | integer | |
| isHiddenFromClient | boolean | |
| isLineScopedAddOnly | boolean | |
| overrides | GetProposalResponseAdjustmentOverride[]| null | |
GetProposalResponseGroup
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| name | string| null | |
| displayAsLumpSum | boolean | |
| publicNote | string| null | |
| internalNote | string| null | |
| financials | ProposalFinancials | |
GetProposalResponseLineItem
| Field | Type | Description |
|---|
| id | uuid | |
| lineItemGroupId | uuid| null | |
| index | integer | |
| name | string| null | |
| quantity | number | |
| unitCost | number | |
| unitCharge | number | |
| procurementResourceId | uuid| null | |
| targetMarginPercent | number| null | |
| isHiddenFromClient | boolean | |
| isPriceHiddenFromClient | boolean | |
| publicNote | string| null | |
| internalNote | string| null | |
| financials | ProposalFinancials | |
| assignments | GetProposalResponseBudgetAssignmentInfo[]| null | |
ProposalFinancialsColumnEffect
| Field | Type | Description |
|---|
| adjustmentId | uuid | |
| name | string| null | |
| appliesTo | string| null | |
| method | string| null | |
| index | integer | |
| effectiveValue | number| null | |
| effect | number | |
| isHiddenFromClient | boolean | |
GetProposalResponseAdjustmentOverride
| Field | Type | Description |
|---|
| id | uuid | |
| scope | string| null | |
| targetId | uuid | |
| value | number | |
GetProposalResponseBudgetAssignmentInfo
| Field | Type | Description |
|---|
| id | uuid | |
| sourceType | string| null | |
| sourceId | uuid | |
| origin | string| null | |
| actualCost | number | |